Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url https://apigw.ipxo.com/nethub-data/{tenantUUID}/prefixes/subsets/metadata \
--header 'Authorization: Bearer <token>'{
"data": [
{
"notation": "string",
"ipNet": {
"ip": "string",
"mask": "string"
},
"internalMetadata": {
"internal": true,
"readOnly": true,
"master": true,
"prefixLengthLimits": {
"min": 0,
"max": 0,
"exact": [
0
]
},
"holders": [
{
"tenantUUID": "string",
"projectID": "string",
"organisation": "string",
"type": 0,
"top": true
}
]
},
"externalMetadata": {
"key1": "value1",
"keyN": "valueN"
},
"holderMetadata": {
"key1": "value1",
"keyN": "valueN"
},
"geodata": [
{
"provider": "string",
"countryName": "string",
"countryCode": "string",
"cityName": "string",
"date": "string",
"state": "string"
}
],
"whois": {
"inetnum": "string",
"registrar": "string",
"source": "string",
"recordActive": true,
"nets": [
{
"organisation": "string",
"netname": "string",
"net_type": "string",
"net_handle": "string",
"origin_as": "string",
"country": [
"string"
],
"comment": "string",
"created": "string",
"last_modified": "string",
"record_created": "string",
"record_modified": "string",
"mnt_by": [
"string"
],
"mnt_irt": [
"string"
],
"pocs": [
{
"handle": "string",
"kind": "string"
}
],
"notify": "string"
}
],
"domains": [
{
"domain": "string",
"nservers": [
"string"
]
}
]
},
"bgp": {
"peerCount": {
"fullTable": 0,
"active": 0
},
"asOrigins": [
{
"asn": 0,
"peersSeeing": 0
}
],
"asSetOrigins": [
{
"asSet": "string",
"peersSeeing": 0
}
]
},
"rpki": {
"roas": [
{
"maxLength": 0,
"asn": "string",
"ta": "string"
}
],
"suggestions": [
{
"maxLength": 0,
"asn": "string",
"ta": "string",
"status": "as0"
}
]
},
"routes": [
{
"route": "string",
"origin": "string",
"descr": [
"string"
],
"mnt_by": [
"string"
],
"changed": [
"string"
],
"source": "string"
}
],
"routingHealth": {
"criticalityStatus": "critical",
"bgpStatus": "match",
"bgpActions": [
{
"action": "add",
"asns": [
0
]
}
],
"rpkiStatus": "match",
"rpkiActions": [
{
"action": "add",
"asns": [
0
]
}
],
"irrStatus": "match",
"irrActions": [
{
"action": "add",
"asns": [
{
"origin": 0,
"target": "string"
}
]
}
],
"irmActions": [
{
"action": "add",
"asns": [
0
]
}
]
},
"cacheDerrived": {
"registrar": "string"
},
"subsets": [
{
"notation": "string",
"ipNet": {
"ip": "string",
"mask": "string"
},
"internalMetadata": {
"internal": true,
"readOnly": true,
"master": true,
"prefixLengthLimits": {
"min": 0,
"max": 0,
"exact": [
0
]
},
"holders": [
{
"tenantUUID": "string",
"projectID": "string",
"organisation": "string",
"type": 0,
"top": true
}
]
},
"externalMetadata": {
"key1": "value1",
"keyN": "valueN"
},
"holderMetadata": {
"key1": "value1",
"keyN": "valueN"
},
"geodata": [
{
"provider": "string",
"countryName": "string",
"countryCode": "string",
"cityName": "string",
"date": "string",
"state": "string"
}
],
"whois": {
"inetnum": "string",
"registrar": "string",
"source": "string",
"recordActive": true,
"nets": [
{
"organisation": "string",
"netname": "string",
"net_type": "string",
"net_handle": "string",
"origin_as": "string",
"country": [
"string"
],
"comment": "string",
"created": "string",
"last_modified": "string",
"record_created": "string",
"record_modified": "string",
"mnt_by": [
"string"
],
"mnt_irt": [
"string"
],
"pocs": [
{
"handle": "string",
"kind": "string"
}
],
"notify": "string"
}
],
"domains": [
{
"domain": "string",
"nservers": [
"string"
]
}
]
},
"bgp": {
"peerCount": {
"fullTable": 0,
"active": 0
},
"asOrigins": [
{
"asn": 0,
"peersSeeing": 0
}
],
"asSetOrigins": [
{
"asSet": "string",
"peersSeeing": 0
}
]
},
"rpki": {
"roas": [
{
"maxLength": 0,
"asn": "string",
"ta": "string"
}
],
"suggestions": [
{
"maxLength": 0,
"asn": "string",
"ta": "string",
"status": "as0"
}
]
},
"routes": [
{
"route": "string",
"origin": "string",
"descr": [
"string"
],
"mnt_by": [
"string"
],
"changed": [
"string"
],
"source": "string"
}
],
"routingHealth": {
"criticalityStatus": "critical",
"bgpStatus": "match",
"bgpActions": [
{
"action": "add",
"asns": [
0
]
}
],
"rpkiStatus": "match",
"rpkiActions": [
{
"action": "add",
"asns": [
0
]
}
],
"irrStatus": "match",
"irrActions": [
{
"action": "add",
"asns": [
{
"origin": 0,
"target": "string"
}
]
}
],
"irmActions": [
{
"action": "add",
"asns": [
0
]
}
]
},
"cacheDerrived": {
"registrar": "string"
}
}
]
}
],
"metadata": {
"limit": 0,
"offset": 0
}
}Returns the master prefixes with subsets metadata based on the provided search criteria
curl --request GET \
--url https://apigw.ipxo.com/nethub-data/{tenantUUID}/prefixes/subsets/metadata \
--header 'Authorization: Bearer <token>'{
"data": [
{
"notation": "string",
"ipNet": {
"ip": "string",
"mask": "string"
},
"internalMetadata": {
"internal": true,
"readOnly": true,
"master": true,
"prefixLengthLimits": {
"min": 0,
"max": 0,
"exact": [
0
]
},
"holders": [
{
"tenantUUID": "string",
"projectID": "string",
"organisation": "string",
"type": 0,
"top": true
}
]
},
"externalMetadata": {
"key1": "value1",
"keyN": "valueN"
},
"holderMetadata": {
"key1": "value1",
"keyN": "valueN"
},
"geodata": [
{
"provider": "string",
"countryName": "string",
"countryCode": "string",
"cityName": "string",
"date": "string",
"state": "string"
}
],
"whois": {
"inetnum": "string",
"registrar": "string",
"source": "string",
"recordActive": true,
"nets": [
{
"organisation": "string",
"netname": "string",
"net_type": "string",
"net_handle": "string",
"origin_as": "string",
"country": [
"string"
],
"comment": "string",
"created": "string",
"last_modified": "string",
"record_created": "string",
"record_modified": "string",
"mnt_by": [
"string"
],
"mnt_irt": [
"string"
],
"pocs": [
{
"handle": "string",
"kind": "string"
}
],
"notify": "string"
}
],
"domains": [
{
"domain": "string",
"nservers": [
"string"
]
}
]
},
"bgp": {
"peerCount": {
"fullTable": 0,
"active": 0
},
"asOrigins": [
{
"asn": 0,
"peersSeeing": 0
}
],
"asSetOrigins": [
{
"asSet": "string",
"peersSeeing": 0
}
]
},
"rpki": {
"roas": [
{
"maxLength": 0,
"asn": "string",
"ta": "string"
}
],
"suggestions": [
{
"maxLength": 0,
"asn": "string",
"ta": "string",
"status": "as0"
}
]
},
"routes": [
{
"route": "string",
"origin": "string",
"descr": [
"string"
],
"mnt_by": [
"string"
],
"changed": [
"string"
],
"source": "string"
}
],
"routingHealth": {
"criticalityStatus": "critical",
"bgpStatus": "match",
"bgpActions": [
{
"action": "add",
"asns": [
0
]
}
],
"rpkiStatus": "match",
"rpkiActions": [
{
"action": "add",
"asns": [
0
]
}
],
"irrStatus": "match",
"irrActions": [
{
"action": "add",
"asns": [
{
"origin": 0,
"target": "string"
}
]
}
],
"irmActions": [
{
"action": "add",
"asns": [
0
]
}
]
},
"cacheDerrived": {
"registrar": "string"
},
"subsets": [
{
"notation": "string",
"ipNet": {
"ip": "string",
"mask": "string"
},
"internalMetadata": {
"internal": true,
"readOnly": true,
"master": true,
"prefixLengthLimits": {
"min": 0,
"max": 0,
"exact": [
0
]
},
"holders": [
{
"tenantUUID": "string",
"projectID": "string",
"organisation": "string",
"type": 0,
"top": true
}
]
},
"externalMetadata": {
"key1": "value1",
"keyN": "valueN"
},
"holderMetadata": {
"key1": "value1",
"keyN": "valueN"
},
"geodata": [
{
"provider": "string",
"countryName": "string",
"countryCode": "string",
"cityName": "string",
"date": "string",
"state": "string"
}
],
"whois": {
"inetnum": "string",
"registrar": "string",
"source": "string",
"recordActive": true,
"nets": [
{
"organisation": "string",
"netname": "string",
"net_type": "string",
"net_handle": "string",
"origin_as": "string",
"country": [
"string"
],
"comment": "string",
"created": "string",
"last_modified": "string",
"record_created": "string",
"record_modified": "string",
"mnt_by": [
"string"
],
"mnt_irt": [
"string"
],
"pocs": [
{
"handle": "string",
"kind": "string"
}
],
"notify": "string"
}
],
"domains": [
{
"domain": "string",
"nservers": [
"string"
]
}
]
},
"bgp": {
"peerCount": {
"fullTable": 0,
"active": 0
},
"asOrigins": [
{
"asn": 0,
"peersSeeing": 0
}
],
"asSetOrigins": [
{
"asSet": "string",
"peersSeeing": 0
}
]
},
"rpki": {
"roas": [
{
"maxLength": 0,
"asn": "string",
"ta": "string"
}
],
"suggestions": [
{
"maxLength": 0,
"asn": "string",
"ta": "string",
"status": "as0"
}
]
},
"routes": [
{
"route": "string",
"origin": "string",
"descr": [
"string"
],
"mnt_by": [
"string"
],
"changed": [
"string"
],
"source": "string"
}
],
"routingHealth": {
"criticalityStatus": "critical",
"bgpStatus": "match",
"bgpActions": [
{
"action": "add",
"asns": [
0
]
}
],
"rpkiStatus": "match",
"rpkiActions": [
{
"action": "add",
"asns": [
0
]
}
],
"irrStatus": "match",
"irrActions": [
{
"action": "add",
"asns": [
{
"origin": 0,
"target": "string"
}
]
}
],
"irmActions": [
{
"action": "add",
"asns": [
0
]
}
]
},
"cacheDerrived": {
"registrar": "string"
}
}
]
}
],
"metadata": {
"limit": 0,
"offset": 0
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Tenant UUID
one or more organisations to filter all prefixes by. Filters out non-matching subsets as well. Can provide multiple values by using the same key.
list of starting point notations. If provided will use these notations to find prefixes to use as top-levels to begin calculating subsets. If not provided will default to master level prefixes. Can provide multiple values by using the same key.
The number of items to skip before starting to collect the result set
The numbers of items to return
Sort order for the returned items. Keys must be provided in a single string, separated by ,. Order determines sorting priority. Adding - in front of the key enables DESCENDING sort. Supported keys: [notation, ipNet]. To achieve correct "IP sort" use ipNet.
Comma (,) separated list of prefix object fields to return in response. Supports sub-object projection by using ., i.e.: geodata.provider. NOTE: internalMetadata does not fully support sub-object field projection and will always return entire structure, with non-requested fields initialized with default type values (i.e. booleans will be equal to FALSE and strings to ""), so it is advised to always request entire internalMetadata to avoid data analysis inconsistencies.